Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225239 - Merge Review: adjtimex
Summary: Merge Review: adjtimex
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 20:59 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-24 03:15:21 UTC
kevin: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-29 20:59:32 UTC
Fedora Merge Review: adjtimex

http://cvs.fedora.redhat.com/viewcvs/devel/adjtimex/

Comment 1 Kevin Fenzi 2007-02-03 18:14:45 UTC
I will review this package. 

Look for a full review in a bit. 

Comment 2 Kevin Fenzi 2007-02-03 18:37:31 UTC
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
9888b54f418d7cc120fd3a4222f01c9c  adjtimex-1.21.tar.gz
9888b54f418d7cc120fd3a4222f01c9c  adjtimex-1.21.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
See below - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version
0 bugs - check for outstanding bugs on package.

Issues:

1. The License tag is wrong. It should be "GPL", not "distributable"

2. Buildroot is not correct. Use the suggested buildroot.

3. rpmlint says:

rpmlint on ./adjtimex-debuginfo-1.21-1.fc7.i386.rpm
W: adjtimex-debuginfo invalid-license distributable

Fix license tag

W: adjtimex-debuginfo no-url-tag

Should add perhaps:
URL: http://ibiblio.org/pub/Linux/system/admin/time/adjtimex.lsm

rpmlint on ./adjtimex-1.21-1.fc7.i386.rpm
W: adjtimex summary-ended-with-dot A utility for adjusting kernel time variables.

Summary shouldn't end in .

All these are pretty minor. Provided you make the above changes, I will 
be happy to APPROVE this. 

Comment 3 Miroslav Lichvar 2007-02-05 15:36:27 UTC
Ok. I didn't add the URL tag as the lsm has old version, but everything else
should be fixed in adjtimex-1.21-2.fc7.

Comment 4 Kevin Fenzi 2007-02-24 03:15:21 UTC
Per the new offical review guidelines I am going to reassign this to me 
(the reviewer) and set it closed/rawhide, since the changes are already there. 
https://www.redhat.com/archives/fedora-maintainers/2007-February/msg00682.html



Note You need to log in before you can comment on or make changes to this bug.